%global qt_module qtquickcontrols2

Name:           qt5-qtquickcontrols2
Summary:        Qt5 - module with set of QtQuick controls for embedded
Version:        5.15.10
Release:        1
License:        LGPL-3.0-only OR GPL-3.0-only WITH Qt-GPL-exception-1.0
Url:            http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0:        https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz
Patch1:         0001-Unset-mouseGrabberPopup-if-it-s-removed-from-childre.patch
Patch2:         0002-Ensure-we-don-t-crash-when-changing-sizes-after-clea.patch
Patch3:         0003-Fix-scroll-bars-not-showing-up-when-binding-to-stand.patch
Patch4:         0004-implement-a11y-pressing-of-qquickabstractbutton.patch
Patch5:         0005-Fix-the-popup-position-of-a-Menu.patch
Patch6:         0006-Accessibility-respect-value-in-attached-Accessible-i.patch

BuildRequires:  make
BuildRequires:  qt5-qtbase-devel >= %{version} qt5-qtbase-private-devel qt5-qtdeclarative-devel
Requires:       qt5-qtdeclarative >= %{version} qt5-qtgraphicaleffects >= %{version}
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$

%description
The Qt Labs Controls module provides a set of controls that can be used to
build complete interfaces in Qt Quick.

Unlike Qt Quick Controls, these controls are optimized for embedded systems
and so are preferred for hardware with limited resources.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?_isa}
Requires:       qt5-qtdeclarative-devel%{?_isa}
%description devel
%{summary}.

%package examples
Summary:        Examples for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.


%prep
%autosetup -n qtquickcontrols2-everywhere-src-%{version} -p1

%build
%{qmake_qt5}
%make_build


%install
make install INSTALL_ROOT=%{buildroot}

cd %{buildroot}%{_qt5_libdir}
for file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${file}
  if [ -f "$(basename ${file} .prl).so" ]; then
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${file}
    rm -f "$(basename ${file} .prl).la"
  fi
done
cd -

%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%license LICENSE.LGPLv3 LICENSE.GPLv3
%{_qt5_libdir}/libQt5QuickTemplates2.so.5*
%{_qt5_libdir}/libQt5QuickControls2.so.5*
%{_qt5_qmldir}/Qt/labs/calendar
%{_qt5_qmldir}/Qt/labs/platform
%{_qt5_archdatadir}/qml/QtQuick/Controls.2/
%{_qt5_archdatadir}/qml/QtQuick/Templates.2/

%files examples
%{_qt5_examplesdir}/quickcontrols2/

%files devel
%{_qt5_headerdir}/
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_libdir}/libQt5QuickTemplates2.so
%{_qt5_libdir}/libQt5QuickControls2.so
%{_qt5_libdir}/libQt5QuickTemplates2.prl
%{_qt5_libdir}/libQt5QuickControls2.prl
%{_qt5_libdir}/qt5/mkspecs/modules/*
%{_libdir}/cmake/Qt5QuickControls2/
%{_libdir}/cmake/Qt5QuickTemplates2/

%changelog
* Tue Aug 22 2023 peijiankang <peijiankang@kylinos.cn> - 5.15.10-1
- update to upstream version 5.15.10

* Tue May 10 2022 Ge Wang <wangge20@h-partner.com> - 5.15.2-2
- License compliance rectification

* Wed Oct 13 2021 peijiankang <peijiankang@kylinos.cn> - 5.15.2-1
- update to upstream version 5.15.2

* Mon Sep 14 2020 liuweibo <liuweibo10@huawei.com> - 5.11.1-4
- Fix Source0 

* Wed Nov 27 2019 likexin<likexin4@huawei.com> - 5.11.1-3
- Package init
